Bug 209175 - possible recursing locking on mac mini (sk_lock-AF_BLUETOOTH)
possible recursing locking on mac mini (sk_lock-AF_BLUETOOTH)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks: FCMETA_LOCKDEP
  Show dependency treegraph
 
Reported: 2006-10-03 15:00 EDT by Trond Eivind Glomsrød
Modified: 2008-05-06 20:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:55:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trond Eivind Glomsrød 2006-10-03 15:00:25 EDT
After installing the latest rawhide on a Mac Mini (everything else seems to
work, even aiglx), the following output can be found in dmesg on kernel
kernel-2.6.18-1.2726.fc6:

=============================================
[ INFO: possible recursive locking detected ]
2.6.18-1.2726.fc6 #1
---------------------------------------------
hidd/2271 is trying to acquire lock:
 (sk_lock-AF_BLUETOOTH){--..}, at: [<f8d16241>] bt_accept_dequeue+0x26/0xc6
[bluetooth]

but task is already holding lock:
 (sk_lock-AF_BLUETOOTH){--..}, at: [<f8bce088>] l2cap_sock_accept+0x41/0x11e [l2cap]

other info that might help us debug this:
1 lock held by hidd/2271:
 #0:  (sk_lock-AF_BLUETOOTH){--..}, at: [<f8bce088>]
l2cap_sock_accept+0x41/0x11e [l2cap]

stack backtrace:
 [<c04051ed>] show_trace_log_lvl+0x58/0x16a
 [<c04057fa>] show_trace+0xd/0x10
 [<c0405913>] dump_stack+0x19/0x1b
 [<c043b7dc>] __lock_acquire+0x6ea/0x90d
 [<c043bf70>] lock_acquire+0x4b/0x6b
 [<c05b203b>] lock_sock+0xac/0xbc
 [<f8d16241>] bt_accept_dequeue+0x26/0xc6 [bluetooth]
 [<f8bce129>] l2cap_sock_accept+0xe2/0x11e [l2cap]
 [<c05b142e>] sys_accept+0xd8/0x179
 [<c05b1576>] sys_socketcall+0xa7/0x186
 [<c0403fb7>] syscall_call+0x7/0xb
DWARF2 unwinder stuck at syscall_call+0x7/0xb
Leftover inexact backtrace:
 [<c04057fa>] show_trace+0xd/0x10
 [<c0405913>] dump_stack+0x19/0x1b
 [<c043b7dc>] __lock_acquire+0x6ea/0x90d
 [<c043bf70>] lock_acquire+0x4b/0x6b
 [<c05b203b>] lock_sock+0xac/0xbc
 [<f8d16241>] bt_accept_dequeue+0x26/0xc6 [bluetooth]
 [<f8bce129>] l2cap_sock_accept+0xe2/0x11e [l2cap]
 [<c05b142e>] sys_accept+0xd8/0x179
 [<c05b1576>] sys_socketcall+0xa7/0x186
 [<c0403fb7>] syscall_call+0x7/0xb
Comment 1 Bug Zapper 2008-04-03 14:25:48 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 20:55:39 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.